package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客户对象 SysCustomer
 * 
 * @author 杨晓辉
 * @date 2023-07-06
 */
public class SysCustomer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 客户标识 */
    private String customerId;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String customerRealname;

    /** 客户省份 */
    @Excel(name = "客户省份")
    private String customerProvince;

    /** 客户市区 */
    @Excel(name = "客户市区")
    private String customerCity;

    /** 客户地区 */
    @Excel(name = "客户地区")
    private String customerArea;

    /** 客户联系地址 */
    @Excel(name = "客户联系地址")
    private String customerContactaddress;

    /** 客户联系方式 */
    @Excel(name = "客户联系方式")
    private String customerContanctway;

    /** 客户联系人 */
    @Excel(name = "客户联系人")
    private String customerContancts;

    /** 客户详情 */
    @Excel(name = "客户详情")
    private String customerRemark;

    private Integer customerDelstatus;

    public void setCustomerId(String customerId)
    {
        this.customerId = customerId;
    }

    public String getCustomerId()
    {
        return customerId;
    }
    public void setCustomerRealname(String customerRealname)
    {
        this.customerRealname = customerRealname;
    }

    public String getCustomerRealname()
    {
        return customerRealname;
    }
    public void setCustomerProvince(String customerProvince)
    {
        this.customerProvince = customerProvince;
    }

    public String getCustomerProvince()
    {
        return customerProvince;
    }
    public void setCustomerCity(String customerCity)
    {
        this.customerCity = customerCity;
    }

    public String getCustomerCity()
    {
        return customerCity;
    }
    public void setCustomerArea(String customerArea)
    {
        this.customerArea = customerArea;
    }

    public String getCustomerArea()
    {
        return customerArea;
    }
    public void setCustomerContactaddress(String customerContactaddress)
    {
        this.customerContactaddress = customerContactaddress;
    }

    public String getCustomerContactaddress()
    {
        return customerContactaddress;
    }
    public void setCustomerContanctway(String customerContanctway)
    {
        this.customerContanctway = customerContanctway;
    }

    public String getCustomerContanctway()
    {
        return customerContanctway;
    }
    public void setCustomerContancts(String customerContancts)
    {
        this.customerContancts = customerContancts;
    }

    public String getCustomerContancts()
    {
        return customerContancts;
    }
    public void setCustomerRemark(String customerRemark)
    {
        this.customerRemark = customerRemark;
    }

    public String getCustomerRemark()
    {
        return customerRemark;
    }

    public void setCustomerDelstatus(Integer customerDelstatus)
    {
        this.customerDelstatus = customerDelstatus;
    }

    public Integer getCustomerDelstatus()
    {
        return customerDelstatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("customerId", getCustomerId())
            .append("customerRealname", getCustomerRealname())
            .append("customerProvince", getCustomerProvince())
            .append("customerCity", getCustomerCity())
            .append("customerArea", getCustomerArea())
            .append("customerContactaddress", getCustomerContactaddress())
            .append("customerContanctway", getCustomerContanctway())
            .append("customerContancts", getCustomerContancts())
            .append("customerRemark", getCustomerRemark())
            .toString();
    }
}
